﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=11
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	
	Private PCLV As PreoptimizedCLV
	
	Private Panel1 As B4XView
	Private Panel2 As B4XView
	Private Panel3 As B4XView
	
	Private xui As XUI
	Private MediaManager As SimpleMediaManager

	Private clv As CustomListView
	
	Private lbl_item As B4XView
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("lay_clv")
	
	PCLV.Initialize(Me, "PCLV", clv)
	'Non visualizzo la scrollbar laterale 
	PCLV.ShowScrollBar = False 

	'Mappa Valori da passare alla CLV
	Dim mappa As Map
	mappa.Initialize
	mappa.Put("foto",$"https://b4x-4c17.kxcdn.com/android/forum/data/avatars/o/102/102342.jpg?1496491953"$)
	mappa.Put("filmato",$"https://player.vimeo.com/external/354886143.hd.mp4?s=2e182d1b22282a63a9533ffda5bb0b2295cdb8e6&profile_id=175"$)

	'Inizializzo MediaManager
	MediaManager.Initialize
	
	For i = 1 To 100
		
		mappa.Put("foto",$"https://b4x-4c17.kxcdn.com/android/forum/data/avatars/o/102/102342.jpg?1496491953"$)
		mappa.Put("filmato",$"https://player.vimeo.com/external/354886143.hd.mp4?s=2e182d1b22282a63a9533ffda5bb0b2295cdb8e6&profile_id=175"$)
		mappa.Put("caricoitem", $"Item n.${i}"$)
		PCLV.AddItem(300dip, xui.Color_White, mappa)
		
	Next
	PCLV.Commit
	
	
End Sub

Sub clv_VisibleRangeChanged (FirstIndex As Int, LastIndex As Int)
	For Each i As Int In PCLV.VisibleRangeChanged(FirstIndex, LastIndex)
		Dim item As CLVItem = clv.GetRawListItem(i)
		Dim pnl As B4XView = xui.CreatePanel("")
		item.Panel.AddView(pnl,0,0, item.Panel.Width, item.Panel.Height)
		Dim mappa As Map = item.Value
		pnl.LoadLayout("lay_clv_dentro")
				
		lbl_item.Text = $"${mappa.Get("caricoitem")}"$
		'oppure
		'pnl.GetView(3).Text = $"${mappa.Get("caricoitem")}"$
		
		'Caricamento Foto Normale
		MediaManager.SetMedia(Panel1, "https://b4x-4c17.kxcdn.com/android/forum/data/avatars/o/102/102342.jpg?1496491953")
	
		'Caricamento Foto Arrotondata con sfondo trasparente
		Dim extra As Map = CreateMap(MediaManager.REQUEST_ROUNDIMAGE: True, MediaManager.REQUEST_BACKGROUND: xui.Color_Transparent, MediaManager.REQUEST_RESIZE_MODE: "FILL_WIDTH")
		MediaManager.SetMediaWithExtra(Panel2, "https://b4x-4c17.kxcdn.com/android/forum/data/avatars/o/102/102342.jpg?1496491953", "", extra)
	
		'Caricamento Filmato
		MediaManager.SetMedia(Panel3, "https://player.vimeo.com/external/354886143.hd.mp4?s=2e182d1b22282a63a9533ffda5bb0b2295cdb8e6&profile_id=175")
		
	Next
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub
